#cityDropdown {
	position: absolute;
	top: 100%;
	left: 0;
	right: 0;
	max-height: 200px;
	overflow-y: auto;
	background: #fff;
	border: 1px solid #ccc;
	z-index: 1000;
	list-style: none;
	padding: 0;
	margin: 0;
}

.width-100 {
	width: 100%;
}

.hidden {
	display: none!important;
}

.is-invalid {
    border-color: #dc3545;
}

.invalid-feedback {
    color: #dc3545;
    font-size: 0.85rem;
    margin-top: 4px;
}

.stripe-input {
    padding: 12px;
    border: 1px solid #ced4da;
    border-radius: 4px;
    background: #fff;
}

.pointer {
	cursor: pointer;
}

.strike {
    text-decoration: line-through!important;
}

.category-title {
	margin-bottom: 30px;
}

.align-right {
	text-align: right;
}

.theme-btn-disabled {
	background-color: darkgrey!important;
}

.order-progress {
    display: flex;
    justify-content: space-between;
    position: relative;
    margin: 40px 0;
}

.order-progress::before {
    content: '';
    position: absolute;
    top: 25px;
    left: 0;
    width: 100%;
    height: 4px;
    background: #ddd;
    z-index: 0;
}

.step {
    text-align: center;
    position: relative;
    z-index: 1;
    width: 25%;
}

.step .icon {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: #ddd;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    color: #555; /* icona visibile */
}

.icon-checkout {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: #ddd;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    background: #28a745;
    color: white;
    margin-bottom: 40px;
}

.error-color {
    background: #e3172f!important;
}

.step.active .icon {
    background: #28a745;
    color: white;
}

.step .label {
    margin-top: 10px;
    font-size: 14px;
}

/* barra verde */
.progress-bar {
    position: absolute;
    top: 25px;
    left: 0;
    height: 4px;
    background: #28a745;
    z-index: 0;
    transition: width 0.4s ease;
}

.letter-section {
    border: 1px solid #ddd;
    margin-bottom: 20px;
    padding: 20px;
    background: #f9f9f9;
}

.letter-title {
    font-weight: bold;
    margin-bottom: 15px;
}

.brand-grid {
    display: grid;
    grid-template-columns: repeat(6, 1fr); /* 6 colonne */
    gap: 10px 30px;
}

.brand-item {
    text-decoration: none;
    color: #0066cc;
    font-weight: 500;
}

.brand-item:hover {
    text-decoration: underline;
}

@media all and (min-width: 992px) {
  .navbar-nav {
    display: grid!important;
    grid-template-columns: repeat(6, 0fr)!important;
    gap: 30px!important;
    justify-content: center!important;
  }
}

.dropdown-custom {
    position: relative;
    display: inline-block;
}

.dropdown-btn {
    font-size: 30px;
}

.dropdown-menu-custom {
    display: none;
    position: absolute;
    background: white;
    border: 1px solid #ddd;
    padding: 10px;
    width: 180px;
    left: 0;
    margin-bottom: 5px;
    border-radius: 5px;
}

.dropdown-menu-custom a {
    margin-bottom: 5px;
}

.dropdown-menu-custom.show {
    display: block;
}

.banner {
    position: fixed;
    top: 0;
    width: 100%;
    background: #16a34a;
    color: white;
    text-align: center;
    padding: 15px;
    transform: translateY(-100%);
    transition: transform 0.4s ease;
    z-index: 100;
}

.banner.show {
    transform: translateY(0);
}

.progress {
    height: 3px;
    background: rgba(255,255,255,0.6);
    width: 100%;
    animation: shrink 3s linear forwards;
}

@keyframes shrink {
    from { width: 100%; }
    to { width: 0%; }
}

.tr-card {
    cursor: pointer;
}

.tr-selected {
    --bs-table-bg: var(--theme-bg-light);
}

.mt-30 {
    margin-top: 30px!important;
}

.mb-30 {
    margin-bottom: 30px;
}